catalog:
  title: Katana Manipulation

templates:
- github
- cmake-catkin
- base

variables:
  description: Manipulation strategies for katana robot
  github.user: CentralLabFacilities
  github.project: katana_move_group_plugins

  sub-directory: katana_manipulation
  branches:
  - indigo
  - kinetic

  extra-provides:
  - nature: catkin
    target: ros-katana_manipulation

  platform-requires:
    ubuntu:
      packages:
      - ros-${ros}-grasping-msgs
      - python-wstool
      - ros-${ros}-moveit-ros-planning
      - ros-${ros}-moveit-core
      - ros-${ros}-moveit-ros-move-group

versions:
- name: indigo
  variables:
    ros: indigo

- name: kinetic
  variables:
    ros: kinetic

- name: hash-robocup-2016-champion
  variables:
    commit: e29de4cd6d0ecd5164849a38e41a37805bba21d6
    ros: indigo
